# Using systemd

Here are the systemd files that can be used to deploy the server and the agents.

## Agent

```{literalinclude} ../../conf/systemd-agent.service
---
caption: /etc/systemd/system/argos-agent.service
---
```

## Server

```{literalinclude} ../../conf/systemd-server.service
---
caption: /etc/systemd/system/argos-server.service
---
```

Please note that it might be better to use Gunicorn with a Uvicorn worker, [as specified in the Uvicorn docs](https://www.uvicorn.org/#running-with-gunicorn):

```bash
gunicorn example:app -w 4 -k uvicorn.workers.UvicornWorker -b '127.0.0.1:8000'
```
